[dpdk-dev] [PATCH v2 0/4] net/bnx2x: update to latest FW

Jerin Jacob jerinjacobk at gmail.com
Tue Sep 24 18:30:03 CEST 2019


On Tue, Sep 24, 2019 at 9:27 PM Ferruh Yigit <ferruh.yigit at intel.com> wrote:
>
> On 9/24/2019 4:39 PM, Jerin Jacob wrote:
> > On Mon, Sep 23, 2019 at 10:03 PM Ferruh Yigit <ferruh.yigit at intel.com> wrote:
> >>
> >> On 9/19/2019 10:11 PM, Rasesh Mody wrote:
> >>> Hi,
> >>>
> >>> Currently, BNX2X PMD uses a very old firmware 7.2.51.
> >>> This patch series updated the base driver to use to latest
> >>> firmware 7.13.11. The latest firmware comprises of enhancements
> >>> and fixes.
> >>>
> >>> v2:
> >>>  - Squashed pmd version patch into "net/bnx2x: update to latest FW 7.13.11"
> >>>  - Addressed most of checkpatch issues
> >>>
> >>> Thanks!
> >>> -Rasesh
> >>>
> >>> Rasesh Mody (4):
> >>>   net/bnx2x: update and reorganize HW registers
> >>>   net/bnx2x: update HSI code
> >>>   net/bnx2x: update to latest FW 7.13.11
> >>>   doc: cleanup SPDX license id usage in bnx2x guide
> >>>
> >>
> >> I am getting build errors with this patchset [1], since it is merged into
> >> next-net-mrvl, I only pulled the doc patch, 4/4, but not others, can you please
> >> check the patchset?
> >
> > OK. We will for Rasesh input.
> >
> > For some reason, it is passing with gcc 9.1.0. My build environment is
> > based on gcc 9.1.0, So I could not catch this.
> >
> > test command:
> >
> > make -j config T=x86_64-native-linux-gcc && sed -ri
> > 's,(CONFIG_RTE_LIBRTE_BNX2X_PMD=)n,\1y,' build/.config && make -j
> >
> > [master][dpdk-next-net-mrvl] $ gcc -v
> > Using built-in specs.
> > COLLECT_GCC=/usr/bin/gcc
> > COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-pc-linux-gnu/9.1.0/lto-wrapper
> > Target: x86_64-pc-linux-gnu
> > Configured with: /build/gcc/src/gcc/configure --prefix=/usr
> > --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man
> > --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/
> >  --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++
> > --enable-shared --enable-threads=posix --with-system-zlib --with-isl
> > --enable-__cxa_atexit --disable-libunwind-exceptions --enable-cl
> > ocale=gnu --disable-libstdcxx-pch --disable-libssp
> > --enable-gnu-unique-object --enable-linker-build-id --enable-lto
> > --enable-plugin --enable-install-libiberty
> > --with-linker-hash-style=gnu --e
> > nable-gnu-indirect-function --enable-multilib --disable-werror
> > --enable-checking=release --enable-default-pie --enable-default-ssp
> > --enable-cet=auto
> > Thread model: posix
> > gcc version 9.1.0 (GCC)
> >
>
>
> I have slightly newer one, not sure if that is the reason:
> gcc version 9.2.1 20190827 (Red Hat 9.2.1-1) (GCC)


OK, I could reproduce the issue with gcc 9.2.0. Something changed
between gcc 9.1.0 and gcc 9.2.0.

Rasesh,

Please fix check with gcc 9.2.1 or 9.2.0 and send the new patch.

[master][dpdk-next-net-mrvl] $ aarch64-linux-gnu-gcc -v
Using built-in specs.
COLLECT_GCC=aarch64-linux-gnu-gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/aarch64-linux-gnu/9.2.0/lto-wrapper
Target: aarch64-linux-gnu
Configured with: /build/aarch64-linux-gnu-gcc/src/gcc-9.2.0/configure
--prefix=/usr --program-prefix=aarch64-linux-gnu-
--with-local-prefix=/usr/aarch64-linux-gnu
--with-sysroot=/usr/aarch64-
linux-gnu --with-build-sysroot=/usr/aarch64-linux-gnu
--with-native-system-header-dir=/include --libdir=/usr/lib
--libexecdir=/usr/lib --target=aarch64-linux-gnu
--host=x86_64-pc-linux-gnu --
build=x86_64-pc-linux-gnu --disable-nls
--enable-languages=c,c++,fortran --enable-shared
--enable-threads=posix --with-system-zlib --with-isl
--enable-__cxa_atexit --disable-libunwind-excepti
ons --enable-clocale=gnu --disable-libstdcxx-pch --disable-libssp
--enable-gnu-unique-object --enable-linker-build-id --enable-lto
--enable-plugin --enable-install-libiberty --with-linker-has
h-style=gnu --enable-gnu-indirect-function --disable-multilib
--disable-werror --enable-checking=release
Thread model: posix
gcc version 9.2.0 (GCC)
[master]dell[dpdk-next-net-mrvl] $


More information about the dev mailing list